# $Revision: 1.18 $, $Date: 2010/11/16 08:20:06 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTTP
%define		_subclass	WebDAV
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}_Client
Summary:	%{_pearname} - WebDAV stream wrapper class
Summary(pl.UTF-8):	%{_pearname} - wrapper dla strumienia WebDAV
Name:		php-pear-%{_pearname}
Version:	1.0.1
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	39b9c380bb3790bf914a87df87791373
URL:		http://pear.php.net/package/HTTP_WebDAV_Client/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.3
Requires:	php-pear >= 4:1.0-9.2
Requires:	php-pear-HTTP_Request >= 1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RFC2518 compliant stream wrapper that allows to use WebDAV server
resources like a regular file system from within PHP.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Zgodny z RFC2518 wrapper dla strumieni umożliwiający obsługę zasobów
serwera WebDAV tak jak gdyby to był zwykły plik.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/Client
%{php_pear_dir}/%{_class}/%{_subclass}/Tools/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTTP_WebDAV_Client.spec,v $
Revision 1.18  2010/11/16 08:20:06  glen
- updated to: 1.0.1

Revision 1.17  2010/08/21 19:08:01  glen
- updated deps with pearize.sh
- release 2

Revision 1.16  2010/08/20 13:00:00  glen
- updated to: 1.0.0
- release: 1

Revision 1.15  2008/01/31 12:17:04  glen
- rel 4

Revision 1.14  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.12  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.11  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.10  2005/10/30 22:40:48  glen
- conflicting HTTP/WebDAV/Tools resolved

Revision 1.9  2005/10/05 18:31:31  glen
- rel 2

Revision 1.8  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.7  2005/09/27 21:57:40  glen
- new pear packaging

Revision 1.6  2005/01/10 08:36:35  adamg
- updated to 0.9.7

Revision 1.5  2004/12/03 22:12:57  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.4  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.3  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.2  2003/12/23 15:02:36  adamg
- updated to 0.9.6

Revision 1.1  2003/12/06 22:00:33  adamg
- initial import
